Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 455508

Summary: s-c-lang fails to use yum
Product: [Fedora] Fedora Reporter: Philip Frampton <philip.frampton>
Component: system-config-languageAssignee: Pravin Satpute <psatpute>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 9CC: eng-i18n-bugs
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.3.1-2.fc9 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-18 23:07:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Philip Frampton 2008-07-15 19:43:36 UTC
Description of problem:
Switch lang from English(US) to English(British) and there is an error on the
command line:

(system-config-language.py:4858): libglade-WARNING **: could not find glade file
'/usr/share/system-config-language/yumhelpers.glade'
Traceback (most recent call last):
  File "/usr/share/system-config-language/language_gui.py", line 174, in okClicked
    self.apply()
  File "/usr/share/system-config-language/language_gui.py", line 236, in apply
    install.install_language (self.mainWindow, grpid)                           
  File "/usr/share/system-config-language/gui_install.py", line 385, in
install_language
    self.checkDeps(mainWindow)
  File "/usr/share/system-config-language/gui_install.py", line 121, in checkDeps
    pbar = GuiProgress(_("Resolving dependencies for updates"), mainwin)
  File "/usr/share/system-config-language/gui_progress.py", line 128, in __init__
    self.xml = gtk.glade.XML(gygladefn, domain="pirut")
RuntimeError: could not create GladeXML object


The yumhelpers.glade is supposed to be in s-c-lang rpm (according to yum
whatprovides) but isn't.

Comment 1 Pravin Satpute 2008-07-16 05:36:46 UTC
hi philip,
this issue is fixed before f-9 release, see
https://bugzilla.redhat.com/show_bug.cgi?id=442901

might be some different problem
can you tell me output of the
$rpm -qa|grep system-config-language

Comment 2 Pravin Satpute 2008-07-16 09:46:22 UTC
hi philip,

fixed problem
built it for F-9 and also for rawhide
http://koji.fedoraproject.org/packages/system-config-language/1.3.1/2.fc9/noarch/system-config-language-1.3.1-2.fc9.noarch.rpm

it will be nice if you test it once, so i will push it to F-9 as update


Comment 3 Philip Frampton 2008-07-16 18:06:20 UTC
Test it and it works (in that there is no error). No packages are installed but
then there are no en_GB specific packages for the setup I have (gnome not kde).

As an aside, the actual problem I thought this was causing was that s-c-l
reported I was set as English(British) and in /etc/sysconfig/i18n it was set to
en_GB.UTF-8 but the locale (and things like OOo) were using US settings.

It turned out that although I had set it to British, I was using Automatic login
to GDE and had never manually logged in. I turned this off, rebooted
(gdm-restart didn't obey new /etc/gdm/custom.conf had to reboot) and selected
British as the login language. After this re-enabled Automatic log in and I now
have British as required.

Philip

Comment 4 Fedora Update System 2008-07-17 06:04:53 UTC
system-config-language-1.3.1-2.fc9 has been submitted as an update for Fedora 9

Comment 5 Fedora Update System 2008-07-18 23:07:48 UTC
system-config-language-1.3.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.